Package org.eclipse.ui.texteditor

## Class HippieProposalProcessor

- java.lang.Object
- - org.eclipse.ui.texteditor.HippieProposalProcessor

All Implemented Interfaces:
  `IContentAssistProcessor`

    public final class HippieProposalProcessor
    extends Object
    implements IContentAssistProcessor

A completion proposal computer for hippie word completions.

Clients may instantiate.

Since:
  3.2

### Constructor Summary

Constructors
`HippieProposalProcessor()` Creates a new hippie completion proposal computer.

### Method Summary

All Methods Instance Methods Concrete Methods
`ICompletionProposal[]` `computeCompletionProposals​(ITextViewer viewer, int offset)` Returns a list of completion proposals based on the specified location within the document that corresponds to the current cursor position within the text viewer.
`IContextInformation[]` `computeContextInformation​(ITextViewer viewer, int offset)` Returns information about possible contexts based on the specified location within the document that corresponds to the current cursor position within the text viewer.
`char[]` `getCompletionProposalAutoActivationCharacters()` Returns the characters which when entered by the user should automatically trigger the presentation of possible completions.
`char[]` `getContextInformationAutoActivationCharacters()` Returns the characters which when entered by the user should automatically trigger the presentation of context information.
`IContextInformationValidator` `getContextInformationValidator()` Returns a validator used to determine when displayed context information should be dismissed.
`String` `getErrorMessage()` Returns the reason why this content assist processor was unable to produce any completion proposals or context information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HippieProposalProcessor

    public HippieProposalProcessor()

Creates a new hippie completion proposal computer.

### Method Detail

#### computeCompletionProposals

    public ICompletionProposal[] computeCompletionProposals​(ITextViewer viewer,
                                                            int offset)

Description copied from interface: `IContentAssistProcessor`
Returns a list of completion proposals based on the specified location within the document that corresponds to the current cursor position within the text viewer.

Specified by:
  `computeCompletionProposals` in interface `IContentAssistProcessor`
Parameters:
  `viewer` - the viewer whose document is used to compute the proposals
  `offset` - an offset within the document for which completions should be computed
Returns:
  an array of completion proposals or `null` if no proposals are possible

#### computeContextInformation

    public IContextInformation[] computeContextInformation​(ITextViewer viewer,
                                                           int offset)

Description copied from interface: `IContentAssistProcessor`
Returns information about possible contexts based on the specified location within the document that corresponds to the current cursor position within the text viewer.

Specified by:
  `computeContextInformation` in interface `IContentAssistProcessor`
Parameters:
  `viewer` - the viewer whose document is used to compute the possible contexts
  `offset` - an offset within the document for which context information should be computed
Returns:
  an array of context information objects or `null` if no context could be found

#### getCompletionProposalAutoActivationCharacters

    public char[] getCompletionProposalAutoActivationCharacters()

Description copied from interface: `IContentAssistProcessor`
Returns the characters which when entered by the user should automatically trigger the presentation of possible completions.

Specified by:
  `getCompletionProposalAutoActivationCharacters` in interface `IContentAssistProcessor`
Returns:
  the auto activation characters for completion proposal or `null` if no auto activation is desired

#### getContextInformationAutoActivationCharacters

    public char[] getContextInformationAutoActivationCharacters()

Description copied from interface: `IContentAssistProcessor`
Returns the characters which when entered by the user should automatically trigger the presentation of context information.

Specified by:
  `getContextInformationAutoActivationCharacters` in interface `IContentAssistProcessor`
Returns:
  the auto activation characters for presenting context information or `null` if no auto activation is desired

#### getContextInformationValidator

    public IContextInformationValidator getContextInformationValidator()

Description copied from interface: `IContentAssistProcessor`
Returns a validator used to determine when displayed context information should be dismissed. May only return `null` if the processor is incapable of computing context information.

Specified by:
  `getContextInformationValidator` in interface `IContentAssistProcessor`
Returns:
  a context information validator, or `null` if the processor is incapable of computing context information

#### getErrorMessage

    public String getErrorMessage()

Description copied from interface: `IContentAssistProcessor`
Returns the reason why this content assist processor was unable to produce any completion proposals or context information.

Specified by:
  `getErrorMessage` in interface `IContentAssistProcessor`
Returns:
  an error message or `null` if no error occurred